Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit
Class SConnect

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              SEdit.SConnect

Direct Known Subclasses:
  SInConnect, SOutConnect

    public abstract class SConnect

extends SNode

la classe abstraite qui correspond � la notion de connecteur dans un composant. Tous les connecteurs doivent n�cessairement d�river de la classe SConnect

Field Summary
`protected java.util.Vector` | `arrows`
`protected SComponent` | `component`
`protected ConnectorPlacement` | `connectorPlacement`
`protected java.lang.String` | `name_on_module`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`SConnect()`

Method Summary
`protected void` | `addToComponent()`
`void` | `delete()`
`void` | `deleteInArrow(SArrow a)`
`void` | `deleteOutArrow(SArrow a)`
`SComponent` | `getComponent()`
`ConnectorPlacement` | `getConnectorPlacement()`
`void` | `initGraphics(java.util.Hashtable properties)`
`protected void` | `removeFromComponent()`
`protected void` | `setComponent(SComponent _comp)`

Methods inherited from class SEdit.SNode
`activate, addInArrow, addOutArrow, getInArrows, getOutArrows, isConnectable, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, init, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### arrows

    protected java.util.Vector arrows

### component

    protected SComponent component

### connectorPlacement

    protected ConnectorPlacement connectorPlacement

### name_on_module

    protected java.lang.String name_on_module

Constructor Detail

### SConnect

    public SConnect()

Method Detail

### setComponent

    protected void setComponent(SComponent _comp)

### getComponent

    public SComponent getComponent()

### getConnectorPlacement

    public ConnectorPlacement getConnectorPlacement()

### deleteInArrow

    public void deleteInArrow(SArrow a)

  Overrides:
    `deleteInArrow` in class `SNode`

### deleteOutArrow

    public void deleteOutArrow(SArrow a)

  Overrides:
    `deleteOutArrow` in class `SNode`

### delete

    public void delete()

  Overrides:
    `delete` in class `SNode`

### initGraphics

    public void initGraphics(java.util.Hashtable properties)

  Overrides:
    `initGraphics` in class `SNode`

### addToComponent

    protected void addToComponent()

### removeFromComponent

    protected void removeFromComponent()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.